Cant update LoL Launcher

Comment below rating threshold, click here to show it.

Ashblade

Senior Member

11-20-2009

So I get home today and try to play LoL and I get this login error:

Client version 0.30.12 is rejected by server.

How do I force it to get up to date? I tried searching for patch mirrors and had no luck. Please help!


Comment below rating threshold, click here to show it.

Ashblade

Senior Member

11-20-2009

been scouting around the forums, found the known issue thread at this address http://leagueoflegends.com/board/showthread.php?t=27103 if anyone else is having this problem, here ya go.